Bug 600411 - Update git to 1.6 or 1.7
Summary: Update git to 1.6 or 1.7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: git
Version: el5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Todd Zullinger
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 585990
Blocks: 500137
TreeView+ depends on / blocked
 
Reported: 2010-06-04 16:23 UTC by Garrett Holmstrom
Modified: 2013-01-10 10:41 UTC (History)
10 users (show)

Fixed In Version: git-1.7.4.1-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-09 18:26:34 UTC
Type: ---


Attachments (Terms of Use)

Description Garrett Holmstrom 2010-06-04 16:23:45 UTC
EPEL's git package is still at version 1.5.  Upstream is currently 1.7.1, so an update would really be nice to have.

Version-Release number of selected component (if applicable):
git-1.5.5.6-4.el5

Comment 1 Todd Zullinger 2010-06-04 18:36:46 UTC
This is blocked while we wait for a decision on what RHEL6 will do.  The beta has 1.6.5.2 included and we can't ship anything newer in EPEL.  It's not worth the time to update to 1.6.5.2 in EPEL only to update again to 1.6.6 or 1.7.x in a few weeks or so.  Or at least, I don't think it is.

The rawhide packages do build fine in mock against EL-5 (and EL-4, and EL-6).  See the RHEL bug for links to some built packages.

Comment 2 Garrett Holmstrom 2010-06-04 19:09:47 UTC
(In reply to comment #1)
> This is blocked while we wait for a decision on what RHEL6 will do.  The beta
> has 1.6.5.2 included and we can't ship anything newer in EPEL.  It's not worth
> the time to update to 1.6.5.2 in EPEL only to update again to 1.6.6 or 1.7.x in
> a few weeks or so.  Or at least, I don't think it is.

Okee dokee; I'll wait for that.

> The rawhide packages do build fine in mock against EL-5 (and EL-4, and EL-6). 
> See the RHEL bug for links to some built packages.    

I'm not so sure about that part.  Then again I might just be doing something wrong...
https://bugzilla.redhat.com/show_bug.cgi?id=600425

Comment 3 Todd Zullinger 2010-06-11 16:34:40 UTC
Discussed this a bit on epel-devel-list yesterday.  Any help testing packages there would be welcome.

http://www.redhat.com/archives/epel-devel-list/2010-June/msg00023.html

Comment 4 Orion Poplawski 2010-08-25 21:26:25 UTC
Any progress?

Comment 5 Todd Zullinger 2010-08-25 21:45:32 UTC
Unfortunately, no.  The hang up at this point is emacs support.

http://www.redhat.com/archives/epel-devel-list/2010-August/msg00148.html

Any help from emacs users (or anyone sufficiently interested) would be most welcome.

Comment 6 Garrett Holmstrom 2010-08-25 22:16:09 UTC
The RPM Forge people dealt with this by grabbing the latest git-init.el file that *does* work with el5's version of emacs and building the RPM using that.  It's sort of a kludge, but I think it beats being stuck with an already-ancient version for the rest of the release's lifetime.

Comment 7 Jesse Keating 2010-09-20 19:29:24 UTC
Garrett's solution seems fine to me.

Comment 8 Todd Zullinger 2010-09-20 19:50:32 UTC
Sorry I missed it.  But it's not a solution.  The RPM Forge packages simply use the git-init.el that we ship.  What's missing is vc-git.el, which is now included in emacs.  We need to figure out whether we can grab the vc-git.el from newer emacs or resurrect the old one from git.  I'm not sure if either will work, we may have to grab the newer vc-git.el and patch it to work with older vc.el in emacs on EL-5.

If anyone here knows an emacs user who understands the vc integration and would be willing to help test and provide guidance, it would be excellent.

Comment 9 Fedora Update System 2011-02-16 18:56:29 UTC
git-1.7.4.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/git-1.7.4.1-1.el5

Comment 10 Fedora Update System 2011-02-16 21:39:13 UTC
git-1.7.4.1-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update git'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/git-1.7.4.1-1.el5

Comment 11 Fedora Update System 2011-03-09 18:26:20 UTC
git-1.7.4.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.